#ifndef XCONFIGURATOR_H
#define XCONFIGURATOR_H

#include <libintl.h>

enum retFlags { ERROR = 1, STARTX = 2 };

#define _(String) gettext((String))
#define N_(String) (String)

#define translate_array(array) { int i = 0; \
          while (array[i]) { \
                array[i] = _(array[i]); \
                ++i; \
          }}\

#define MAX_CLOCKS_LINES 16

struct XconfigState {
    char serverbuf[80];
    char mousetype[40];              /* Mouse */
    int emulate3buttons;
    int chordmiddle;
    int cleardtrrts;
    char *pointerdevice;
    int altmeta;		/* Keyboard. */
    char *xkb_rules;
    char *xkb_keymap;
    char *xkb_keycodes;
    char *xkb_geometry;
    char *xkb_symbols;
    char *xkb_model;
    char *xkb_layout;
    int monitortype;		/* Monitor. */
    char *hsyncrange;
    char *vsyncrange;
    char *monitoridentifier;
    char *monitorvendorname;
    char *monitormodelname;
    int videomemory;		/* Video card. */
    int screentype;		/* mono, vga16, svga, accel, sun */
    char *deviceidentifier;
    char *devicevendorname;
    char *deviceboardname;
    int pcivendorid;
    int pciid;
    char *xf4driver;
    int numberofclockslines;
    char *clocksline[MAX_CLOCKS_LINES];
    char *modesline8bpp;
    char *modesline16bpp;
    char *modesline32bpp;
    char *ramdac;
    char *dacspeed;
    char *clockchip;
    int servernum;
    int runLevel;
    int dpms;
} ;

extern char *finalcomment_text;
extern char *initlevel_text;

extern int pick, rhcontinue, normal, custom, onboot, testing, expert;
extern int back;

#endif


