.TH XorgTest 1x "Tue Aug  7 2001" "Linux" "Red Hat Linux System Manual"
.SH NAME
XorgTest \- configure XFree86 server and display
.SH SYNOPSIS
.B XorgTest {\-\-help,\-\-expert}
.br
.B XorgTest
.B {\-\-help,\-\-kickstart,\-\-server,\-\-driver,
.br
.B \-\-card,\-\-monitor,\-\-hsync,\-\-vsync,
.br
.B \-\-noddcprobe,\-\-preferxf3,\-\-preferxf4,
.br
.B \-\-listservers,\-\-listmonitors,\-\-listcards,
.br
.B \-\-startxonboot,\-\-nodri,\-\-usefbdev}
.SH DESCRIPTION
XorgTest sets up the necessary configuration files and file links
to use XFree86 on a Red Hat system. There are two modes of operation:
\fBinteractive\fR and \fBkickstart\fR.

In 
.B interactive
mode the user is prompted for the type of video card and monitor
attached to the system. Some of this information may be automatically
probed and filled in. If 
.B \-\-expert
is specified then the user will have an opportunity to override the
probed values.
.br

In
.B kickstart
mode, \fBXorgTest\fR will try to autoprobe all required information,
non\-interactively.  Video cards on the PCI bus will usually be
probed properly. Older video cards can be explicitely given using
the \fB\-\-card\fR option. Use the \fB\-\-help\fR option to see a
complete list of recognized video cards. Alternatively, the server
can be specified with the \fB\-\-server\fR option. Also, the
monitor type will have to be specified with the \fB\-\-monitor\fR option.
Another way to give the monitor type is to specify the horizontal and
vertical sync rates for the monitor using the \fB\-\-hsync\fR and 
\fB\-\-vsync\fR options.
.SS OPTIONS
.TP
.I "\-\-help"
Print a usage message on standard output and exit successfully.

.TP
.I "\-\-listcards"
Displays a list of supported video cards.

.TP
.I "\-\-listmonitors"
Displays a list of supported monitors.

.TP
.I "\-\-listservers"
Displays a list of supported XFree86 3 servers.

.TP
.I "\-\-expert"
Gives the user manual control over some parameters which are
automatically satisfied in normal use.

.TP
.I "\-\-kickstart"
Tells \fBXorgTest\fR to run in non\-interactive mode, filling in
as much information as posible by probing the video card. If no
valid card is found, a standand VGA is assumed (640x480 resolution, 16 colors).
If no valid monitor is specified, a standard VGA monitor is assumed
(640x480 at 60 Hz).

.TP
.I "\-\-card <card>"
Specifies the card type to use in \fBkickstart\fR mode.
Use the \fB\-\-help\fR option to see a complete list of cards.

.TP
.I "\-\-server <server>"
Specifies the server to use in \fBkickstart\fR mode.
Will use the file \fB/usr/X11R6/bin/XF86_<server>\fR.
Use the \fB\-\-help\fR option to see a complete list of servers.

.TP
.I "\-\-startxonboot"
Automatically choose to have X start up when your system comes up
after a fresh reboot.

.TP
.I "\-\-driver <driver>"
Specifies the XFree4 driver to use in \fBkickstart\fR mode.

.TP
.I "\-\-monitor <monitor>"
Specifies the monitor type to use in \fBkickstart\fR mode.
Use the \fB\-\-help\fR option to see a complete list of monitors.

.TP
.I "\-\-noddcprobe"
Don't probe the monitor for specifications. This only has effect
on IA32 computers, since these are currently the only ones
with such probing. This can avoid crashing on some very broken
hardware.

.TP
.I "\-\-nodri"
Don't enable DRI on XFree 4 servers - for servers with hardware
accelerated 3D, this wil disable such support. This saves quite
a bit of memory, which will make higher resolutions possible than
with DRI enabled.

.TP
.I "\-\-preferxf4"
Use the XFree 4 driver if available

.TP
.I "\-\-preferxf3"
Use the XFree 3.3.x server if available

.TP
.I "\-\-hsync  \-\-vsync"
Specifies the horizontal and vertical sync ranges for the monitor.
An example of usage is

\fBXorgTest --hsync "31.5,45-50" --vsync "50-70"\fR

.TP
.I "\-\-usefbdev"
Enables use of kernel fbdev for setting the video mode on cards 
which support this feature. Note that use of this option may 
require an alias for fb0 in /etc/modules.conf, or manual loading 
of the fbdev driver specific to your video card.


.SH NOTES

\fBXorgTest\fR will use the settings in \fB/etc/sysconfig/mouse\fR
to determine the mouse type. Otherwise its will assume a Microsoft
compatible mouse on /dev/ttyS0.

.SH "SEE ALSO"
mouseconfig(8)
