#ifndef _combo_h
#define _combo_h

#include <glib.h>
#include "XorgTest.h"

struct CardMonitorCombo {
    int pciid;
    int pcivendorid;
    char *monitorid;
    GSList *modelines;
    char  *modes8bit;
    char *modes16bit;
    char *modes32bit;
};

GSList* loadComboFile(char *filename);

struct CardMonitorCombo* findCombo(GSList *combolist,struct XconfigState* state);

void freeComboList(GSList *list);

/*
 * Internally used... splits a line
 * on the format RESOLUTIONXX AxB CxD ...
 * into a char* of the resolutions, depth
 * (specified as XX) contains the bit depth
 */

char* treatResLine(char* line,int *depth);

/* Returns the available resolution for different
   modes
*/
    
char* get8bitModes(struct CardMonitorCombo* combo);
char* get16bitModes(struct CardMonitorCombo* combo);
char* get32bitModes(struct CardMonitorCombo* combo);


#endif
